void actionPerformed(ActionEvent e) {

  if(e.getActionCommand().equals("Record")) {
    recording = !recording;
    if(recording) {
      recButton._text = "Stop";
      backButton._disabled = true;
      playButton._disabled = true;
      nextButton._disabled = true;
      startRecording();
    } 
    else {
      recButton._text = "Record";
      backButton._disabled = false;
      playButton._disabled = false;
      nextButton._disabled = false;
      stopRecording();
    }
  }

  if(e.getActionCommand().equals("Play")) {
    playing = !playing;
    if(playing) {
      playButton._text = "Stop";
      recButton._disabled = true;
      startPlay();
    } 
    else {
      playButton._text = "Play";
      recButton._disabled = false;
      stopPlay();
    }
  }

  if(e.getActionCommand().equals("Back")) {
    if(playing) {
      playing = false;
      playButton._text = "Play";
      recButton._disabled = false;
      stopPlay();
    } 
    if (recordMode>0) {           // don't underrun mode list (this should never happen)
      recordMode--;
    }
  }


  if(e.getActionCommand().equals("Next")) {
    if(playing) {
      playing = false;
      playButton._text = "Play";
      recButton._disabled = false;
      stopPlay();
    } 

    if (modeList[recordMode] == 'N') {    // accept the text string in Net ID Mode
      netID = keyboardInput;
    }

    if (modeList[recordMode] == 'P') {    // accept the text string in Net ID Mode
    message = "Saving Files...";
      saving = true;
    }

    if (recordMode<modeList.length-1) {           // don't overrun mode list
      recordMode++;
      backButton._disabled = true;
      playButton._disabled = true;
      recButton._disabled = true;
      nextButton._disabled = true;               // prevent these buttons from being hit twice
    }
    else {
      recordMode=0;                              // start over instead
      for(int i = 0; i < trimmedSample.length; i++) {
        trimmedSample[i] = null;
        keyboardInput="";
      }
    }
  }

  if(e.getActionCommand().equals("Clear")) {
    keyboardInput ="";
  }
}
